Package org.apache.solr.common.cloud

## Interface ClusterPropertiesListener

    public interface ClusterPropertiesListener

Listener that can be used with `ZkStateReader.registerClusterPropertiesListener(ClusterPropertiesListener)` and called whenever the cluster properties changes.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `onChange​(Map<String,​Object> properties)` Called when a change in the cluster properties occurs.

### Method Detail

#### onChange

    boolean onChange​(Map<String,​Object> properties)

Called when a change in the cluster properties occurs.

Note that, due to the way Zookeeper watchers are implemented, a single call may be the result of several state changes

Parameters:
  `properties` - current cluster properties
Returns:
  true if the listener should be removed